# hours-from-dateTime

Extracts the hour component of a dateTime value

hours-from-dateTime($arg as xs:dateTime?) → xs:integer?

Arguments
| $arg | xs:dateTime? | The dateTime value whose hour component is required
Result | xs:integer?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next